
/**
 * Define a classe Artigo.
 * Cada instncia desta classe representa uma artigo, como designao 
 * e no como exemplar concreto.
 * Um artigo  caracterizado por um nome, podendo ser simples ou composto 
 * (ver subclasses).
 * Um artigo simples tem um preo unitrio definido ao criar um artigo.
 * Um artigo composto tem um preo calculado a partir dos artigos simples
 * que entram na sua composio.
 * Um artigo composto  constitudo por certas quantidades de artigos
 * mais simples.
 * @author (Joo Carlos Pascoal Faria) 
 * @version (a version number or a date)
 */
public abstract class Artigo
{
    private String nome;

    /**
     * Constructor for objects of class Artigo
     */
    public Artigo(String nome)
    {
        this.nome = nome;
    }
    
    public abstract double getPrecoUnitario();
    
    public String getNome()
    {
        return nome;
    }
}
